class Test {
    public static void main(String[] args) {
        String testAnmeldung = "Erfurt 12346789 Peter Zwegat";
        boolean result = false;
        try {
            result = anmelden(testAnmeldung);
        } catch(OrtException | MatrikelException | NamenException | AnmeldungException ex) {
            System.out.println(ex);
            System.out.println("hier lief was schief! - exiting!");
            ex.printStackTrace();
        }
        if(result) System.out.println("Alles hat geklappt! " + testAnmeldung + " wurde angemeldet");
    }

    public static boolean anmelden(String anmeldung) throws AnmeldungException, OrtException, MatrikelException, NamenException{
        String[] parts = anmeldung.split(" ");
        if(parts.length != 4) throw new AnmeldungException();
        if(!parts[0].equals("Weimar")) throw new OrtException();
        if(parts[1].length() != 8) {
            throw new MatrikelException("Wrong length in matrikel " + parts[1]);
        }
        try {
            int matrikel = Integer.parseInt(parts[1]);
        } catch(NumberFormatException e) {
            throw new MatrikelException("Matrikel was malformed! " + parts[1]);
        }
        if(!parts[2].matches("[a-zA-Z]*") || !parts[3].matches("[a-zA-Z]*"))
            throw new NamenException("Ungültiger Name! " + parts[2] + " " + parts[3]);
        return true;
    }
}